import React from 'react';
import './index.scss';
export interface CommonButtonBoxProps {
    children?: any;
    name: string;
    title: string;
    justifyContent: 'flex-start' | 'flex-end' | 'center';
    style?: any;
    [key: string]: any;
}
interface CommonButtonBoxState {
}
declare class CommonButtonBox extends React.Component<CommonButtonBoxProps, CommonButtonBoxState> {
    static displayName: string;
    constructor(props: CommonButtonBoxProps);
    _renderChildren: () => any;
    render(): React.ReactNode;
}
export default CommonButtonBox;
